#!/bin/bash

# Using global variables: NIK_DIR_PATH, NIK_DIR_TAG
# Paste and run subsequent commented commands in shell

export NIK_DIR_PATH=./data/
export NIK_DIR_TAG=EPICxSPAMpa_Q95
echo NIK_DIR_PATH=${NIK_DIR_PATH}

# Start script

DATAPATH=${NIK_DIR_PATH}YIELDxAREA_${NIK_DIR_TAG}/

DIROUT=./output/
FOUT=${DIROUT}01c-fao-production.csv

echo "Assembling data from ${DATAPATH} folder..."

echo CropID,GlobalProduction > $FOUT

for crop in `sed -e 's/,/ /g' ${DATAPATH}crop-selection.csv | sed 's/\r//g'`; do 
    cat ${NIK_DIR_PATH}/FAO_Production/fao-production-${crop}_2011-2015.csv >> $FOUT
done
